Knowledgebase & Documentation
Our documentation is the best way to get immediate answers and guidance. We also provide numerous references for the more advanced features and functionality such as the CMS and the API.
Basic Member Data with the PAS API
Note
- ALL Requests to the API must be sent to: http://publisher.pokeraffiliatesolutions.com/{URI_Goes_Here}
- ALL Requests to the API must be fully authenticated & signed according to the above post
- If an error occurs or a request is invalid the response HTTP code will indicate as such and XML detailing the error will provided.
List All Members
This action allows you to get a listing of your members in XML format. It does not include any tracker-related data about the members, but you can use “Show Member” (described below) to see data about a single member as well as see his tracker data.
REQUEST:
GET https://publisher.pokeraffiliatesolutions.com/publisher_members.xml
RESPONSE:
1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 | <?xml version="1.0" encoding="UTF-8" ?>
<members current_page="1" next_page="2" total_entries="1000">
<member>
<id>27846</id>
<outside_id/>
<website_id>XX</website_id>
<login>SAMPLEUSER</login>
<email>sampleuser@example.com</email>
<first_name>Sample</first_name>
<last_name/>
<referring_member_id/>
<address_1>122 Main St</address_1>
<address_2/>
<aim/>
<skype/>
<phone>5551112222</phone>
<yahoo/>
<city>SOMECITY</city>
<state>SS</state>
<zip_code>11111</zip_code>
<country>US</country>
<created_at>2007-02-28 18:00:00 -0600</created_at>
<date_of_birth>1976-01-01</date_of_birth>
<gender>M</gender>
</member>
</members>
|
Show (Single) Member
This action allows you to retrieve data about a specific member as well as any trackers associated with his account.
REQUEST:
GET https://publisher.pokeraffiliatesolutions.com/ {MEMBER ID#}.xml
RESPONSE:
1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 | <?xml version="1.0" encoding="UTF-8" ?>
<member>
<id>MEMBERID</id>
<outside_id/>
<website_id>XX</website_id>
<login>SAMPLEUSER</login>
<email>sample@example.com</email>
<first_name>John</first_name>
<last_name>Smith</last_name>
<referring_member_id/>
<address_1/>
<address_2/>
<aim/>
<skype/>
<phone/>
<yahoo/>
<city/>
<state/>
<zip_code/>
<country/>
<created_at>2009-10-26 19:00:00 -0500</created_at>
<date_of_birth/>
<gender/>
<member_trackers>
<member_tracker>
<id>XXXXX</id>
<identifier>MY TRACKER</identifier>
<created_at>2009-10-26 19:00:00 -0500</created_at>
<website_id>XX</website_id>
<poker_room_id>29</poker_room_id>
<poker_room>Full Tilt Poker</poker_room>
<signup_url>
http://www.fulltiltpoker.com/?key=MDAwMEIyMTYwMDAyMTMyQzAwMDAwMDAwMDAwMDAwMDA-
</signup_url>
<member_rakeback_rate>27%</member_rakeback_rate>
</member_tracker>
</member>
|
Update Member
This action allows you to update & change data that is stored on a specific Member’s database record at PAS. You will need to send the Member Data to us in XML format(exactly the way that we send it to you), with any changes having been made. We will return the updated XML of the Member’s data if the update goes through. Note: You cannot use the API to edit Trackers, they are shown for read-only purposes!
REQUEST:
PUT https://publisher.pokeraffiliatesolutions.com/publisher_members/{Member_ID#}.xml
1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 | <?xml version="1.0" encoding="UTF-8" ?>
<member>
<id>222411213</id>
<outside_id/>
<website_id>4201</website_id>
<login>martymcfly</login>
<email>futureemail@gmail.com</email>
<first_name>Marty</first_name>
<last_name>McFly</last_name>
<referring_member_id>222384332</referring_member_id>
<address_1/>
<address_2/>
<aim/>
<skype/>
<phone/>
<yahoo/>
<city/>
<state/>
<zip_code/>
<country/>
<created_at>2010-06-29 16:34:23 -0500</created_at>
<date_of_birth>1926-03-03</date_of_birth>
<gender/>
<member_trackers>
</member_trackers>
</member>
|
RESPONSE:
1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 | <?xml version="1.0" encoding="UTF-8"?>
<member>
<address_1 nil="true"></address_1>
<address_2 nil="true"></address_2>
<aim nil="true"></aim>
<city nil="true"></city>
<country nil="true"></country>
<created_at type="datetime">2010-06-29T16:34:23-05:00</created_at>
<date_of_birth type="date">1926-03-03</date_of_birth>
<email>futureemail@gmail.com</email>
<first_name>Marty</first_name>
<gender nil="true"></gender>
<id type="integer">222411213</id>
<last_name>McFly</last_name>
<login>martymcfly</login>
<msn></msn>
<outside_id nil="true"></outside_id>
<phone nil="true"></phone>
<referring_member_id type="integer">222384332</referring_member_id>
<skype nil="true"></skype>
<state nil="true"></state>
<website_id type="integer">4201</website_id>
<yahoo nil="true"></yahoo>
<zip_code nil="true"></zip_code>
</member>
|
Create Member
This action allows you to create a new Member within your PAS database. You will need to send the Member Data to us in XML format (exactly the way that we send it to you when viewing a Member) with the user details filled out as needed. We will return the updated XML of the Member’s data if the new user is created goes through. Appropriate (descriptive) errors will be returned if there is an error. Make sure you also remove the <id /> field, and include the <password /> field.
REQUEST:
POST http://publisher.pokeraffiliatesolutions.com/publisher_members.xml
1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 | <?xml version="1.0" encoding="UTF-8" ?>
<member>
<outside_id/>
<website_id>4201</website_id>
<login>biff</login>
<password>randompassword</password>
<email>biff@gmail.com</email>
<first_name>Spaceman</first_name>
<last_name>Biff</last_name>
<referring_member_id>222384332</referring_member_id>
<address_1/>
<address_2/>
<aim/>
<skype/>
<phone/>
<yahoo/>
<city/>
<state/>
<zip_code/>
<country/>
<date_of_birth>1926-03-03</date_of_birth>
<gender/>
<member_trackers>
</member_trackers>
</member>
|
RESPONSE:
1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 | <?xml version="1.0" encoding="UTF-8"?>
<member>
<address_1 nil="true"></address_1>
<address_2 nil="true"></address_2>
<aim nil="true"></aim>
<city nil="true"></city>
<country nil="true"></country>
<created_at type="datetime">2010-07-09T11:11:38-05:00</created_at>
<date_of_birth type="date">1926-03-03</date_of_birth>
<email>biff@gmail.com</email>
<first_name>Spaceman</first_name>
<gender nil="true"></gender>
<id type="integer">222413744</id>
<last_name>Biff</last_name>
<login>bifff</login>
<msn nil="true"></msn>
<outside_id nil="true"></outside_id>
<phone nil="true"></phone>
<referring_member_id type="integer" nil="true"></referring_member_id>
<skype nil="true"></skype>
<state nil="true"></state>
<website_id type="integer">4201</website_id>
<yahoo nil="true"></yahoo>
<zip_code nil="true"></zip_code>
</member>
|